%define prefix   /usr


Summary: Documentation for Ultra Monkey
Name: ultramonkey-doc
Version: 1.0.2
Release: 1
Copyright: GNU General Public Licence
URL: http://www.linuxvirtualserver.org/
Packager: Horms <horms@vergenet.net>
Group: Applications/System
Source0: ftp://ultramonkey.sourceforge.net/pub/ultramonkey/src/%{name}/%{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%name-%{PACKAGE_VERSION}-root
Docdir: %{prefix}/doc
Provides: %{name}-%{version}
BuildArchitectures: noarch


%description
Ultra Monkey is a project to build scalable server solution using Open
Source components on The Linux Operating System. 

%prep
%setup


%build

#Funky NPROC code to speed things up courtesy of Red Hat's kernel rpm
if [ -x /usr/bin/getconf ] ; then
    NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
    if [ $NRPROC -eq 0 ] ; then
        NRPROC=1
    fi
else
    NRPROC=1
fi
NRPROC=`expr $NRPROC + $NRPROC`


CFLAGS="${RPM_OPT_FLAGS}" make -j $NRPROC


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/
BUILD_ROOT=${RPM_BUILD_ROOT} make install

#File finding code thanks to Samuel Flory of VA Linux Systems
cd ${RPM_BUILD_ROOT}
# Directories
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' \
  > ${RPM_BUILD_DIR}/%{name}-%{version}-%{release}.files
# Files
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' \
  >> ${RPM_BUILD_DIR}/%{name}-%{version}-%{release}.files
# Symbolic links
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' \
  >> ${RPM_BUILD_DIR}/%{name}-%{version}-%{release}.files


%clean
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
rm -rf $RPM_BUILD_ROOT
rm ${RPM_BUILD_DIR}/%{name}-%{version}-%{release}.files


%post

%postun

%preun

%files -f ../%{name}-%{version}-%{release}.files
%defattr (-, root,root)


%changelog
* Mon Apr 10 2000 Horms <horms@vergenet.net>
- created for version 1.9
